

#import "ColorsView.h"

@implementation ColorsView
@synthesize qtzView;

- (id)initWithFrame:(NSRect)frame isPreview:(BOOL)isPreview
{
    self = [super initWithFrame:frame isPreview:isPreview];
    if (self)
    {
        [self setAnimationTimeInterval:1/30.0];
        
        //create the quartz composition view
        qtzView = [[QCView alloc] initWithFrame: NSMakeRect(0, 0, NSWidth(frame), NSHeight(frame))];
        //make sure it resizes with the screensaver view
        [qtzView setAutoresizingMask:(NSViewWidthSizable|NSViewHeightSizable)];
                                                            
        //match its frame rate to your screensaver
        [qtzView setMaxRenderingFrameRate:30.0f];
                                                  
        //get the location of the quartz composition from the bundle
        NSString* compositionPath = [[NSBundle mainBundle] pathForResource:@"Colors" ofType:@"qtz"];
        //load the composition
        [qtzView loadCompositionFromFile:compositionPath];
                                                          
        //add the quartz composition view
        [self addSubview:qtzView];
    }
    return self;
}

- (void)startAnimation
{
    [super startAnimation];
}

- (void)stopAnimation
{
    [super stopAnimation];
}

- (void)drawRect:(NSRect)rect
{
    [super drawRect:rect];
}

- (void)animateOneFrame
{
    return;
}

- (BOOL)hasConfigureSheet
{
    return NO;
}

- (NSWindow*)configureSheet
{
    return nil;
}

@end